XAMPP 1.8.0 popraviti phpmyadmin po nadgradnji

Pred nekaj dnevi je prišla ven XAMPP 1.8.0 včeraj po nadgradnji različice 1.7.7 Imam precej zanimiv problem. Phpmyadmin ne odpre, I valjani z 403

Dostop prepovedano!


Novo XAMPP varnostni koncept:

Dostop do zahtevanega predmeta je na voljo samo iz lokalnega omrežja.

To nastavitev lahko nastavite v datoteki “httpd-xampp.Potrdi pošilj”.

Takoj sem odprl httpd-xampp.conf, ki sem je v /opt/lampp/etc/extra/, na prvi pogled vse, kar izgleda v redu. Pravila za LAN je bil v REDU. Skupaj z odpiranje lokalnih. WTF ??? Pogledal dnevnik in vidim, da moje dostop je bila odrezana od konfiguratuta. Zdaj je vse, kar sem ahaha in, odkrito povedano, malo sreče, sem našel problem. След като преглеждах httpd.conf-а видях в Allow/Deny клаузите един последен ред Zahtevajo, da vse odobrene. O Eureka!. To je nov nadzorni mehanizem, ki je vključen v apache 2.4.x. Z njim ne daje dostop do ali opustitev teh zahteva,, v bistvu posnema Omogočite/onemogočite funkcije :). За да поправим проблема добавяме Require all granted в директивите за папката /opt/lampp/phpmyadmin. Po spreminjanje mojega izgleda tako

<Imenik “/opt/lampp/phpmyadmin”>
AllowOverride AuthConfig Omejitev
Da bi omogočajo,prepoved
Dovolite vse
Zahtevajo, da vse odobrene
</Imenik>

 

Čeprav je res, lahko poskusite z drugo divje, na primer, če želite preimenovati phpmyadmin mapo na nekaj drugega in ne naziv. Ampak to je grda in ni posebej pomemben 🙂

str.s Vprašal me je, zakaj sem uporabite XAMPP namesto čisto namestitev vseh sestavnih delov, in ki je, moj Debian bil rojen – отговорът е много много простМЪРЗЕЛ. Мързи ме да напиша няколко команди после да си пипна конфовете и прочие. Доста по лесно е сваляш целия пакет разархивираш и палиш 😉

Okrepljeno z Zemanta

pusti odgovor

Vaš e-poštni naslov ne bo objavljen. Zahtevana polja so označena *

Anti SPAM *